Software plugins that add functionality to the QGIS package

learn more… | top users | synonyms

2
votes
2answers
757 views

QGIS 2.0 Plugins missing [duplicate]

At the risk of a series of downvotes but I have just installed QGIS 2.0 after using 1.7.4 and 1.8 previous. It looks great but there are a lot of plugins missing. I understand from the install that ...
1
vote
3answers
396 views

How to select features of visible layers in QGIS

In QGIS 1.8 I used plugin "Select features of visible layers by rectangle" to know the layer that owns a visible feature. In QGIS 2.0.1 this plugin is no more available. I wonder if it is possible to ...
1
vote
0answers
41 views

start gdalbuildvrt from c++ plugin

I want to create a vrt from my plugin via gdal-tool. From OSGEO4W-Shell the command works. In my code i tried this: QString program = "gdalbuildvrt"; QStringList arguments; ...
1
vote
1answer
1k views

QGIS 2.0 Plugin error: Unable to load GdalTools plugin?

I just used the osgeo4w exe to install QGIS and all the other software included in the basic setup. When I open QGIS, I get the following error: Plugin error Unable to load GdalTools plugin. The ...
5
votes
2answers
727 views

Where has the cartogram plugin for QGIS gone?

This plugin used to be downloadable from Carson Farmer's plugin repository page. However, the repository is broken. An old version of the plugin source code is still available at ...
3
votes
4answers
323 views

Has anyone else been unable to locate and install the GRASS plugin in QGIS 2.0.1?

After uploading and installing QGIS 2.0.1, I am unable to locate and install the GRASS plugin. The plugin is not listed in the 'Plugin Manager'. The 'Plugin_Installer' is also shown in red, ...
5
votes
1answer
417 views

How do I convert a QGIS 1.8 plugin to QGIS2.0?

I have developed a plugin under QGIS1.8 and now I want to make it work on QGIS2.0 I have chage qgisMinimumVersion into 2.0(originally 1.8) but QGIS2.0 still give me the error say This plugin is ...
0
votes
1answer
49 views

Install plugins for qgis in centos

I followed the instructions here: How to install QGIS on Centos 6? If I run: QgsVectorLayer * vpoly = new QgsVectorLayer("Polygon", "pointbuffer", "memory"); QgsVectorDataProvider * provider = ...
1
vote
1answer
137 views

What causes QGIS 2 Plugin Manager Error from showPluginManagerWhenReady?

there. when i open the plugin manager in qgis, i get this: Ocurrió un error durante la ejecución del siguiente código: pyplugin_installer.instance().showPluginManagerWhenReady() A Google ...
3
votes
2answers
259 views

QGIS 2 problems with Plugins

Rough English (Translated by a user): When trying to access plugins I am told Unable to open the Python console. When I start qgis, the message also shows up but I don't know what it means. ...
0
votes
0answers
176 views

QGis 2.0.1 cpp-plugin for Windows

my plugin, developed in VS2008 for Windows runs in my testenvironment, the startimage of QGIS shows the developermeeting in Essen with the version number 2.1 alpha. On a other system I have installed ...
1
vote
1answer
437 views

QGIS Real Time GPS

I'm trying to navigate real time with an USB GPS over a shapefile map, but I can't find the way to do this. I'm using QGIS 1.9.0 desktop version with a Garmin Etrex Legend HCx GPS. In fisrt place, ...
1
vote
0answers
82 views

Attribute table in Map Composer has no content QGIS 2.0 [duplicate]

I make a QGIS Plugin and I try to use the map composer to print a .pdf Map. In this Map I like to display the attribute table of a layer. I load it in with: vLayer = ...
0
votes
2answers
185 views

Is it possible to intall the opengeostack and QGIS nightly?

Did someone managed to get the opengeostack running alongside qgis so the plugin suite-qgis-plugin can be used? I am trying it on ubuntu1304, installing opengeostack works ok, but then when installing ...
2
votes
1answer
1k views

PyQgis question: How to change or set active layer?

Developing a qgis plugin, I found that if no layer is selected in the Layers panel I can iterate over all layers and do anything to them, but "activate" them. Could someone give me a hint please? ...
1
vote
1answer
111 views

how can i install Semi-Automatic Classification plugin manually?

I try to install with Fetch Python Plugins. But fetch python plugins show only those which are installed? can i install manually when direct installation failed repeatedly?
-1
votes
1answer
73 views

why Semi-Automatic Classification plugin installation failled repeatedly?

I successfully downloaded Semi-Automatic Classification plugin installer OSGEO from http://download.osgeo.org/osgeo4w/osgeo4w-setup.exe. But it respond that it couldn't the installation. Again I ...
1
vote
1answer
115 views

Can't get the openlayer plugin to operate [closed]

I can't get the openlayer plugin to run. I've got QGIS V1.8 on Windows 7. I've tried various repo's recommended on different sites; http://plugins.qgis.org/plugins/plugins.xml & ...
2
votes
1answer
68 views

Why does Fetch Python Plugins responded with only the installed ones?

I use QGIS 1.8. Whenever I demand to install plugins through Fetch Python Plugins it displays only those the already installed. I couldn't find for example; point sampling, group stats and photo2shape ...
1
vote
1answer
104 views

MMQgis Plugin error in Qgis

I am using Qgis 1.9 .Just now I downloaded a plugin "mm qgis"But When I run this plugin I am getting following error: An error has occured while executing Python code: Traceback (most recent call ...
0
votes
1answer
60 views

Using Contour plugin, progress bar sticks at zero

I am using Quantum GIS 1.8.0. I have a base map sourced from OSGB Opendata VectorMap District (vector format), and that displays fine. I also have created a spreadsheet showing journey times to a ...
3
votes
1answer
77 views

How can I label both coordinates in mmQGIS?

How can I label both coordinates in mmQGIS? Everything I try leads to only one of the 2 coordinates (lat or lon) to be labeled. I cannot get both labeled at the same time.
0
votes
0answers
110 views

How to install Quantum GIS Lisboa and scipy

I'm trying to install some plugins of the QGIS but an error occurs. The program asks the scipy program. I installed Python, the Numpy and scipy. Also installed the program R. However, QGIS continues ...
0
votes
1answer
76 views

Sextante Plugin error in QGis

I am an user of QGis 1.9.0. When I go to Fetch plugin option Sextante plugin is broken seems what is the problem?Even I agin downloaded the plugin in Qgis official resportary but it displays me the ...
1
vote
0answers
44 views

Qgis 1.9 commitChanges() and Redraw a temporary layer

Using QGIS 1.9 and writing a python plugin. I have a function that connects points into polylines and draws them as a temporary, in memory layer. Membership in a polyline is determined by a field in ...
1
vote
0answers
321 views

Cannot add the PostGIS raster layer with QGIS

I've imported some raster data in PostGIS database with the following command: raster2pgsql -s 31468 -I -C -M -t 50x50 /home/stefan/Quantum\ GIS/Neumarkt/NM_NW.tif public.demelevation | psql -U ...
1
vote
0answers
40 views

Why does exported map from print composer differ from map canvas? QGIS 1.8.0 [duplicate]

I have a small project consisting of a Google maps satellite open layer with two new shapefiles overlaid on it. I have then used print composer to add a grid and some labels. I have also selected lock ...
1
vote
4answers
1k views

Python Error Message with OpenLayer Plugin

I have just recently downloaded QGIS version 1.9.90-Alpha, Alpha, 5155176. I then went to install the OpenLayers plugin. That successfully downloaded and installed, or so I thought, but when I went ...
2
votes
1answer
142 views

Points to paths

I have a set of lat/long points which represent positions along a set of paths (the points are generated by satellite collars on several animals that we are tracking), and I want to link the points ...
2
votes
4answers
643 views

Unable to load GRASS plugin

I upgraded from QGIS 1.7.0 to 1.8.0, including updating GRASS to version 6.4.3. Since then, GRASS isn't any longer listed in the Fetch Python plugins. I uninstalled and re-installed the whole package ...
3
votes
0answers
190 views

Create a path following a road, interpolating from a set of points

I have several hundred vehicular routes within a city from which I wish to create shapefiles. These take the form of directions such as "From Green Street, turn left into Brown Street, Right into ...
0
votes
1answer
159 views

Importing dxf as a vector layer or using dxf2shp function (Differences?)

I was trying to import a DXF file in QGIS. First tried using dxf2shp function but it didn´t work. I browse the dxf file and i put a name to the output and nothing was created in directory i chose. I ...
0
votes
3answers
310 views

Calculating MCP in QGIS

QGIS 1.8.0. Scipy installed. Statsmodels installed. Using Sextante to try to calculate MCP. When I run the MCP calculation from the Toolbox, a layer is added to the file, but the layer doesn't ...
1
vote
2answers
156 views

QGIS:what does it do “snap gcp coordinates to background layers” in the Georeferencer plugin?

Maybe is too obvious, but I don't find any precise documentation about this checkbox in the georeferencer plugin.
0
votes
0answers
225 views

How to integrate .NET application in QGIS using Python?

In our company we have developed a .NET application that's now integrated with 3 different GIS platforms. Now we would like to make it work with QGIS but we need some help on getting started. I've ...
3
votes
1answer
157 views

Bar graph - cartodiagram in QGIS

Can I create a cartodiagram in QGIS 1.7.3? I need one bar graph in every territorial unit of one layer. It must vizualize organization on X and number of research in one organisation. Is it possible? ...
2
votes
1answer
128 views

Plugin error in Qgis

I just now downloaded a plugin named "XY tools"from fetch plugins option . I am a user of Qgis v 1.9.0.It shows me the following error: An error has occured while executing Python code: Traceback ...
0
votes
0answers
100 views

Geology plug-ins for QGIS

Sorry this is probably a very basic question but I'm new to QGIS and struggling with it a fair bit. I'm trying to get a plugin to show me the geology (preferably solid and drift) of an area and have ...
0
votes
0answers
343 views

Problem compiling UI file generated by QGIS Plugin Buidler

I have used the plugin builder QGIS 1.8 to create an empty plugin. The next step is to compile the ui file using pyuic. pyuic.py runs but halts at the line with from PYQt4 import QTCore and an error ...
2
votes
1answer
91 views

How to set default bad layers handler in the python plugin?

I am trying to write a python plugin for QGis. My python plugin will copy a template qgis project into data catalog with ESRI shapefiles. Because data catalogs can vary in its content there will be ...
2
votes
0answers
109 views

How to fix ImportErrors when loading Python plugins in QGIS?

I have recently installed QGIS 1.8 in Windows 8. Although QGIS seems to be working fine, I cannot load plugins after their installation. Instead I keep getting this message: Traceback (most recent ...
2
votes
1answer
67 views

cannot download 3rd party plugins in qgis

I want to download SDA4PP plug-in in QGIS. Unfortunately I cannot see the button to download 3rd party plugins, as indicated in the install instructions at that link. I am using this program on a ...
0
votes
0answers
814 views

QGIS Plugins - DLL load failed: %1 is not a valid Win32 application

This is my first question so please go easy. I am trying to develop a Plugin for QGIS. I made my plugin using the "plugin builder", then compiled the .qrc and .ui files with PySide-rcc.exe and ...
5
votes
1answer
497 views

How to programmatically associate a layer with a custom UI?

I know it is possible to associate a layer with a custom UI for editing feature attributes using the QGIS interface. But is this possible with Python? This link shows how to achieve the result ...
3
votes
1answer
114 views

Is there a way to create a plugin in C++ without compiling all the Qgis source?

This is my second post and I apologize if it's post the same day on the first. After several researchs, I found the only way to create a plugin in C++ is to compile the Qgis source with the plugin ...
2
votes
1answer
3k views

make: pyuic4: command not found

I need to develop a QGIS plugin for a project. First, I launched the following command for the installation on Ubuntu 12.04: sudo apt-get update sudo apt-get install qgis sudo apt-get install ...
1
vote
1answer
271 views

OpenLayers Rendering Error [duplicate]

I'm using QGIS to render some air quality modelling results. I'm having issues with the OpenLayers Plugin whenever I have another vector layer active. The plugin works if it's the only layer in the ...
0
votes
2answers
312 views

How do I successfully install the LecoS plug-in for QGIS 1.8

I have been trying to follow the instructions given here, but repeatedly get an error message pop-up titled "Mount" stating Access is Denied. Does anyone have a solution please?
0
votes
1answer
1k views

How to install Sextante in QGIS 1.8 without Plugin Installer?

How can I install sextante (and where can I download it) if the Plugin Installer doesn't works? As I work for a corporation, I have some problems conecting to the official repository, and I cannot ...
1
vote
1answer
92 views

Ubuntu 'Manage plugins' in 1.9 (master) doesn't show 1.8 plugins

I'm using Qgis master on Windows 7 and more recently xubuntu 13.04. On xubuntu, the 'fetch python plugins' is missing, which Nathan just pointed out was intentional rather than a bug. My problem is ...